classification
Title: [EASY DOC] uuid: endian of the bytes argument is not documented
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, miss-islington, vstinner
Priority: normal Keywords: easy, patch

Created on 2018-05-24 21:08 by vstinner, last changed 2018-06-04 20:43 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7263 merged fhackdroid, 2018-05-31 03:03
PR 7386 merged miss-islington, 2018-06-04 07:30
PR 7387 merged miss-islington, 2018-06-04 07:31
PR 7388 merged miss-islington, 2018-06-04 07:32
Messages (7)
msg317626 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-24 21:08
I don't understand what is the endian of the 'bytes' parameter of the uuid.UUID constructor:
https://docs.python.org/dev/library/uuid.html#uuid.UUID

According to examples, it seems like the endian is big endian, but I'm not sure.

Related issue: bpo-32493.
msg317633 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-24 22:25
At least, the UUID.bytes *attribute* is documented as using big endian:
https://docs.python.org/dev/library/uuid.html#uuid.UUID.bytes
msg318638 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-04 07:29
New changeset b75ec0856771b51684b08c4e5068fbfad25c5e83 by Victor Stinner (Farhaan Bukhsh) in branch 'master':
bpo-33640, uuid.UUID doc: document endian of bytes parameter (GH-7263)
https://github.com/python/cpython/commit/b75ec0856771b51684b08c4e5068fbfad25c5e83
msg318679 - (view) Author: miss-islington (miss-islington) Date: 2018-06-04 17:17
New changeset 1cdd0e71ecba53ab60080958c24193c27c3adee2 by Miss Islington (bot) in branch '3.7':
bpo-33640, uuid.UUID doc: document endian of bytes parameter (GH-7263)
https://github.com/python/cpython/commit/1cdd0e71ecba53ab60080958c24193c27c3adee2
msg318680 - (view) Author: miss-islington (miss-islington) Date: 2018-06-04 17:18
New changeset 6a43d5f4fb3a83815bf7c2f157773a3b0d8f59b3 by Miss Islington (bot) in branch '3.6':
bpo-33640, uuid.UUID doc: document endian of bytes parameter (GH-7263)
https://github.com/python/cpython/commit/6a43d5f4fb3a83815bf7c2f157773a3b0d8f59b3
msg318683 - (view) Author: miss-islington (miss-islington) Date: 2018-06-04 17:24
New changeset 5f0726a3813dd9873e10690e708f8da9ede9502e by Miss Islington (bot) in branch '2.7':
bpo-33640, uuid.UUID doc: document endian of bytes parameter (GH-7263)
https://github.com/python/cpython/commit/5f0726a3813dd9873e10690e708f8da9ede9502e
msg318699 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-04 20:43
Thank you Farhaan Bukhsh for your documentation enhancement! I applied your change to 2.7, 3.6, 3.7 and master branches.
History
Date User Action Args
2018-06-04 20:43:33vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg318699

stage: patch review -> resolved
2018-06-04 17:24:40miss-islingtonsetmessages: + msg318683
2018-06-04 17:18:25miss-islingtonsetmessages: + msg318680
2018-06-04 17:17:31miss-islingtonsetnosy: + miss-islington
messages: + msg318679
2018-06-04 07:32:26miss-islingtonsetpull_requests: + pull_request7014
2018-06-04 07:31:20miss-islingtonsetpull_requests: + pull_request7013
2018-06-04 07:30:21miss-islingtonsetpull_requests: + pull_request7012
2018-06-04 07:29:04vstinnersetmessages: + msg318638
2018-05-31 03:03:20fhackdroidsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6890
2018-05-29 21:31:01vstinnersetkeywords: + easy
title: uuid: endian of the bytes argument is not documented -> [EASY DOC] uuid: endian of the bytes argument is not documented
2018-05-24 22:25:17vstinnersetmessages: + msg317633
2018-05-24 21:08:45vstinnercreate